import { ConfigProvider, Table } from 'antd';
import { TableProps } from 'antd/lib';
import { TableConfig } from 'antd/lib/config-provider/context';
import styles from './index.less';
const CommonTable = (props: TableConfig & TableProps) => {
  return (
    <div className={styles.container}>
      <ConfigProvider
        theme={{
          components: {
            Table: {
              headerBg: '#103c62',
              borderColor: '#103c62',
              headerSplitColor: '#103c62',
            },
          },
        }}
      >
        <Table
          bordered={false}
         
          rowClassName={() => {
            return styles.rowStyle;
          }}
          {...props}
        ></Table>
      </ConfigProvider>
    </div>
  );
};

export default CommonTable;
