import { Avatar, Badge, Space, Switch } from "antd";
import { useNavigate, useLocation } from '@umijs/max';
import styles from "./index.less";
import ModeSwitch from '@/components/ModeSwitch';

/** @name Header */
export default function Header() {
  const navigate = useNavigate();
  const location = useLocation();
  const isOverviewMode = location.pathname === '/overview';

  const handleModeChange = (checked: boolean) => {
    // true 为统览模式, false 为专题模式
    navigate(checked ? '/overview' : '/home/urbanSituation');
  };

  const handleJump = () => {
    const url = 'https://10.1.174.34:13000';
    window.open(url, '_blank');
  };

  return (
    <div className={styles.container}>
      <img
        src={require("@/assets/images/common/title.png")}
        className={styles.title}
        alt=""
      />
      <Space size={30}>
        <div className={styles.leftCard}>
          <div>指挥长</div>
          <div>郭明天</div>
          <img src={require("@/assets/images/common/phone.png")} alt="" />
        </div>
        <div className={styles.leftCard}>
          <div>值班长</div>
          <div>张明</div>
          <img src={require("@/assets/images/common/phone.png")} alt="" />
        </div>
        <div className={styles.leftCard}>
          <div>值班员</div>
          <div>赵明</div>
          <img src={require("@/assets/images/common/phone.png")} alt="" />
        </div>
      </Space>
      <Space size={20}>
        <ModeSwitch 
          checked={isOverviewMode}
          onChange={handleModeChange}
        />
        <div className={styles.rightCard} onClick={handleJump}>指挥调度</div>
        <Avatar
          src={require("@/assets/images/common/avatar.png")}
          size={58}
        />
      </Space>
    </div>
  );
}
