import { Flex } from 'antd';
import React, { useState } from 'react';
import AreaCQI from './AreaCQI';
import styles from './index.less';
import SidebarMenu from './SidebarMenu';
import UrbanProblem from './UrbanProblem';

/** @name 重点区域 */
const KeyAreaDetail: React.FC<{ objectId: string, cqi: string }> = (props) => {
  const [active, setActive] = useState(0);
  const { objectId, cqi } = props
  console.log('KeyAreaDetail', objectId)
  return (
    <Flex className={styles.container} gap={8}>
      <SidebarMenu
        menuClickHandle={function (params: any): void {
          setActive(params);
        }}
        active={active}
        cqi={cqi}
      ></SidebarMenu>
      {active === 0 && <AreaCQI objectId={objectId}></AreaCQI>}
      {active === 1 && <UrbanProblem></UrbanProblem>}
    </Flex>
  );
};

export default KeyAreaDetail;
