import Tabs from '@/components/Tabs';
import React, { useState } from 'react';
import ProcessCard from '../components/ProcessCard';

const HighFrequencyType: React.FC<{
  categoryStatistics?: any[];
  onTabChange?: (category: string) => void;
}> = ({ categoryStatistics = [], onTabChange }) => {
  const [activeTab, setActiveTab] = useState('mainClass');

  const tabItems = [
    {
      key: 'mainClass',
      label: '大类',
    },
    {
      key: 'subClass',
      label: '小类',
    },
    {
      key: 'subdivisionClass',
      label: '细类',
    },
  ];

  const handleTabChange = (key: string) => {
    setActiveTab(key);
    onTabChange?.(key);
  };

  return (
    // <div className={styles.container}>
    //   <div className={styles.header}>
    //     {/* <span className={styles.title}>高发类型</span> */}
    //     <Tabs
    //       activeKey={activeTab}
    //       onChange={handleTabChange}
    //       items={tabItems}
    //       size="small"
    //       className={styles.tabs}
    //     />
    //   </div>
    <ProcessCard
      title="高发类别"
      extra={
        <Tabs
          style={{
            background: 'transparent',
            height: '30px',
          }}
          itemStyle={{
            borderRadius: '25px',
            background: 'rgba(7, 50, 93, 0.8)',
            fontSize: '16px',
            marginLeft: 8,
          }}
          onChange={handleTabChange}
          itemkey={'key'}
          items={[
            {
              key: 'mainClass',
              label: '大类',
            },
            {
              key: 'subClass',
              label: '小类',
            },
            {
              key: 'subdivisionClass',
              label: '细类',
            },
          ]}
        />
      }
      data={categoryStatistics}
      strokeColor={{
        '0%': '#38F2E3',
        '100%': '#3DC3FF',
      }}
    />
    // <ProcessCard
    //   title="高发类型"
    //   data={categoryStatistics}
    //   strokeColor={{
    //     '0%': '#79FFD1',
    //     '100%': '#00B9FF',
    //   }}
    // />
    // </div>
  );
};

export default HighFrequencyType;
