import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';

const EnvironmentalHealth: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 700,
    lineHeight: '26px',
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: '26px',
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <DescriptionItem
          value={100}
          name="居民小区生活垃圾分类覆盖率"
          unit="%"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
          decimals={0}
        />
        <Flex justify="space-between">
          <DescriptionItem
            value={87}
            name="生活垃圾资源化利用率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
          <DescriptionItem
            value={44.54}
            name="生活垃圾回收利用率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={2}
          />
        </Flex>
      </Flex>
    </div>
  );
};

export default EnvironmentalHealth; 