import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';

const LawEnforcement: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 700,
    lineHeight: '26px',
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: '26px',
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <DescriptionItem
          value={889.9}
          name="8月处罚金额"
          unit="万元"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
          decimals={1}
        />
        <Flex justify="space-between">
          <DescriptionItem
            value={2074}
            name="8月立案数"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
          <DescriptionItem
            value={2074}
            name="8月结案数"
            unit="件"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </Flex>
      </Flex>
    </div>
  );
};

export default LawEnforcement; 