import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';

const WasteDisposal: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 700,
    lineHeight: '26px',
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: '26px',
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <DescriptionItem
          value={100}
          name="今日垃圾无害化处理率"
          unit="%"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
          decimals={0}
        />
        <Flex justify="space-between">
          <DescriptionItem
            value={15951}
            name="焚烧量"
            unit="吨"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
          <DescriptionItem
            value={3558}
            name="填埋量"
            unit="吨"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </Flex>
      </Flex>
    </div>
  );
};

export default WasteDisposal; 