import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';

const PerceptionSource: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: 700,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 700,
    lineHeight: '26px',
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: '26px',
  };

  return (
    <div className={styles.container}>
      <Flex  gap={20}>
        <DescriptionItem
          value={238}
          name="总量"
          unit="万个"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
        <DescriptionItem
          value={82}
          name="监测指标项"
          unit="类"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
      </Flex>
    </div>
  );
};

export default PerceptionSource; 