import React from 'react';
import Card from './components/Card';
import DataElement from './components/DataElement';
import ManagementElement from './components/ManagementElement';
import PerceptionSource from './components/PerceptionSource';
import styles from './index.less';

const ResourceElements: React.FC = () => {
  const cards = [
    {
      title: '数据要素',
      children: <DataElement />,
      // popverSystem: [
      //   {
      //     name: '数据治理平台',
      //     url: 'http://xxx',
      //   },
      // ],
    },
    {
      title: '管理要素',
      children: <ManagementElement />,
      popverSystem: [
        {
          name: '网格化管理平台',
          url: 'http://10.1.214.174:1800/comprehensivebig',
        },
      ],
    },
    {
      title: '感知源',
      children: <PerceptionSource />,
      popverSystem: [
        {
          name: '感知设备管理平台',
          url: 'https://10.1.174.34:13200/iot-platform-screen',
        },
      ],
    },
  ];

  return (
    <div className={styles.container}>
      <div className={styles.title}>
        <span>城管资源要素</span>
      </div>
      <div className={styles.content}>
        {cards.map((card) => (
          <Card
            key={card.title}
            title={card.title}
            jumpSystem={card.popverSystem}
          >
            {card.children}
          </Card>
        ))}
      </div>
    </div>
  );
};

export default ResourceElements;
