import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';
import Tabs from '@/components/Tabs';
import OverallSituation from './OverallSituation';
import ManageQualityAndEffect from './ManageQualityAndEffect'


/** @module 市民投诉 */

const PeopleComplain: React.FC = () => {

  const onChangeTab = (value: string) => {
    console.log(value)
  }

  return (
    <Flex vertical className={styles.container}>
      <Flex justify='space-between' align='center' className={styles.top}>
        <span className={styles.title}>老百姓投诉情况(网络理政)</span>
        <span className={styles.right}>
          <Tabs
            style={{
              height: '40px'
            }}
            onChange={onChangeTab}
            itemkey={'key'}
            items={[
              {
                key: '1',
                label: '近一月'
              },
              // {
              //   key: '2',
              //   label: '历史态势'
              // }
            ]}
          />
        </span>
      </Flex>
      <Flex className={styles.main} gap={23}>
        <OverallSituation />
        <ManageQualityAndEffect />
      </Flex>
    </Flex>
  );
};

export default PeopleComplain;
